Linux 下 sudo $HOME 改变问题解决
Linux 下使用 Clash 科学上网
使用 bash-it 优化 Linux 终端使用体验
arm64 平台下编译 docker-compose

arm64 平台下编译 docker-compose

由于官方仅提供有 x86_64 架构的 docker-compose 二进制包文件,无法在 aarch64 下运行。不得已只能自己编译相关文件。

如果不想自己编译可以使用 linuxserver/docker-docker-compose 提供的二进制文件,不过看了下只有新版本才有 arm 架构的包,如果需要老版本还是只能自己编译。

华为鲲鹏+银河麒麟v10 安装 docker-ce 踩坑
CentOS/Ubuntu locale 中添加中文支持

CentOS7 安装思源字体

简介

思源黑體(英語:Source Han Sans,「思源」一詞來自於成語「飲水思源」)是AdobeGoogle所領導開發的開源字型家族,1.001及更早版本以Apache 2.0许可证授權,而1.002及更新版本則使用SIL开源字体授权,屬於無襯線黑體)。思源黑體於2014年7月16日首次發布,支援繁體中文簡體中文日文韓文,並且各有7種字體粗細。公開之時為當時涵蓋字元數量最多的字型,44,666个字元分屬於65,535個字形中,此為OpenType字型技術的極限。

centos安装软件报错-libmysqlclient.so.18()(64bit)

问题

环境:CentOS Linux release 7.3.1611 (Core)
情况说明:使用命令 yum -y install python36 python36-devel 时出现如下报错。

1
2
3
4
5
6
7
...
Error: Package: python3-libs-3.6.8-10.el7.x86_64 (akiya-mirror)
Requires: libcrypto.so.10(OPENSSL_1.0.2)(64bit)
You could try using --skip-broken to work around the problem
** Found 2 pre-existing rpmdb problem(s), 'yum check' output follows:
2:postfix-2.10.1-6.el7.x86_64 has missing requires of libmysqlclient.so.18()(64bit)
2:postfix-2.10.1-6.el7.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_18)(64bit)

:D 一言句子获取中...